---
title: Awesome
description: A curated list of awesome stuff I like
date: 2024-11-26
tags: ['awesome', 'curated']
---

<!-- Some common stuff -->

<style>
.md-contents ul + blockquote:not(.md-override), .md-contents ol + blockquote:not(.md-override) {
    margin-left: 1rem;
}
</style>

# Awesome Stuff

Inspired by [Awesome](https://github.com/sindresorhus/awesome), this is a dumping ground of stuff of interest.

> [!info]
> This is going to be long, and will probably be getting a lot of updates.
> I intend to just keep adding to this.
> This is meant to be kind of a miscellaneous collection of stuff - For more specific things, see other collections.

## Table of Contents

- [Awesome Stuff](#awesome-stuff)
  - [Table of Contents](#table-of-contents)
  - [Software](#software)
    - [Operating Systems](#operating-systems)
  - [Software Development](#software-development)
    - [Languages](#languages)
    - [Game Development](#game-development)
  - [Other Projects](#other-projects)
  - [Games](#games)
  - [Media](#media)
    - [Shows](#shows)
    - [Music](#music)
    - [Content Creators](#content-creators)
    - [Political Content](#political-content)
    - [Artists](#artists)
    - [Other](#other)
  - [Hardware](#hardware)
    - [Computers](#computers)
    - [Computer-Aided Manufacturing](#computer-aided-manufacturing)

## Software

### Operating Systems

Honestly can't recommend Windows at all nowadays. It's just... Malware now. It's to the point where it's just not worth using in comparison to Linux for most, if not all purposes nowadays, and the only thing it has going for it is existing software, which is a rapidly fading, if not fade***d***, advantage.  
Windows Recall was especially egregious - The fact that a program that records all your screens, saves it to an unencrypted SQLite database, then feeds it to an AI network was *even on the table* is just... ***YIKES.***

- [Linux Mint](https://linuxmint.com/)

> Linux Mint is the best choice for people who are new to Linux. It's easy to use, and it's based on Ubuntu, so it has a lot of software available for it. It's also a great choice for people who want a stable system that's easy to maintain.
It's focusing more on good defaults and a good user experience for the layman, so it's not tinker-y at all, but you can still do so if you want.

- [Arch Linux](https://archlinux.org/)

> btw I use Arch
did I mention I use Arch
I use Arch btw just in case you didn't know
arch btw
/j
> On a more serious note, it's pretty good if you want a rolling-release distro that's easy to customize. It's also a great choice if you want to learn more about how Linux works.

- [NixOS](https://nixos.org/)

> NixOS is a operating system that uses the Nix package manager. It's a great choice for people who want a declarative system configuration, and it's a great choice for people who want to be able to roll back to a previous system configuration if something goes wrong. It's also a great choice for people who want to be able to install packages without having to worry about dependency hell.  
Because of the way NixOS works, I can use it pretty damn easily across my many systems, and it makes it easy to debloat if I need to.

## Software Development

### Languages

- [Rust](https://www.rust-lang.org/)

> I came to Rust from C/C++, and I've been loving it ever since. It's a great language that's easy to learn and has a lot of features that make it a great choice for systems programming. It's also a great choice for web development, and it's a decent choice for game development. It's a great choice for pretty much anything, really.

### Game Development

- [Godot Engine](https://godotengine.org)

> Nowadays, I'm mostly using Godot for game development. It's a great engine that's easy to use and has a lot of features. Plus, it's open-source, which is always a plus. The executable is in the magnitude of *MEGABYTES* and you can download it and just get going.  
Unity is, at this point, inferior to Godot in my opinion for general purpose games. It's bloated as hell, slow, and has a lot of unnecessary core features that are often half-baked or deprecated - There is often 99 ways to do things, but none are good. It's not open source, and isn't nearly as capable of recompiling to cut down on unneeded features as a result. It's also not as user-friendly as Godot, and the documentation is often lacking or outdated. I've had a lot of issues with Unity, and I'm not a fan of it.  
And on the other end, if you need high-fidelity games... Unreal Engine 5 is a no-brainer over Unity nowadays for the same purpose.
And for 2D games... Godot absolutely ***MOPS THE FLOOR WITH UNITY.*** It hardly even compares at this point.

- [Unreal Engine 5](https://www.unrealengine.com/)
  
> I don't use it much, but it's a great engine for high-fidelity games. It's a ***LOT*** more complex than Godot, but it's also more powerful. Plus, it's free to use until you make a certain amount of money, and they let you remain on the same licensing terms from when you start using it.

- [Material Maker](https://www.materialmaker.org/)

> Material Maker is a toolkit made in Godot that allows you to create procedural PBR materials, similar to how you would with Blender shaders.
It's a good tool for creating materials, and it's open-source, so you can modify it to your heart's content.

## Other Projects

- [Personal Security Checklist](https://github.com/Lissy93/personal-security-checklist) by Lissy93

> A checklist for improving your personal security. It's a great resource for anyone who wants to improve their security. Also a good pin for public communication.

## Games

- [Celeste](https://www.celestegame.com/)

> What can I say? It's a great game.
Plus, the modding scene is very intense if you're into that.
Also... Heat from fire, fire from heat, if ya know 🏳️‍⚧️
(Look at the highest-rated Steam reviews. You'll see what I mean. Trans people can double-jump, apparently :3)

- [Wolfenstein: The New Order](https://store.steampowered.com/app/201810/Wolfenstein_The_New_Order/) and its sequel, [Wolfenstein: The New Colossus](https://store.steampowered.com/app/612880/Wolfenstein_II_The_New_Colossus/)

> Before Id made DOOM in 1993, they made Wolfenstein, a game about beating up Nazis. Need I say more?  
They made a new series of games, starting with The New Order, that are a great mix of story and gameplay. The story is good, the gameplay is great, and the music is also good. Criminal that there isn't a third one, though.
Pretty patriotic :3


- [OneShot](https://store.steampowered.com/app/420530/OneShot/)

> You only get one shot.
> I haven't beaten it yet, so stay tuned for more thoughts.

- [Papers, Please](https://store.steampowered.com/app/239030/Papers_Please/)

> ***Glory to Arstotzka.***
> 
> ![:3](https://media.tenor.com/DVxH-6Wc0TgAAAAM/paper-please.gif)

- [Sonic Adventure 2](https://store.steampowered.com/app/213610/Sonic_Adventure_2/)

> I grew up with SA2. Sure, it has plenty of things that did NOT age well - Such as the audio mixing, the music is *twice as loud* as it should be during scenes, I can barely hear characters, or the quality of the ports being pretty abysmal - But it is still quite a fun game. The story is, perhaps, among the best, in the series, and Doctor Ivo "Eggman" Robotnik's characterization is ***OUTRIGHT the best in the series***. The music (Crush 40, anyone?) is also top-notch.  
If you play this on PC, such as the Steam version, there exists a mod loader, and plenty of mods to improve the myriad issues with the port.  
Mad Space is a bit maddening (Well, it's in the name I suppose) though, and the removal of the open-world that SA1 had isn't that great.

- [Plants vs. Zombies](https://store.steampowered.com/app/3590/Plants_vs_Zombies_Game_of_the_Year/)

> There's a zombie on your lawn.
> I haven't beaten it in a LONG time, so stay tuned for more thoughts, but it's good.

- [Portal 2](https://store.steampowered.com/app/620/Portal_2/)

> The cake is a lie.
> I grew up with the game, it's a game of all time and a perfect sequel.
The co-op is also good, and the community test chambers are a great addition...Aside from a lot of the popular ones being kinda... bad? In the Steam Workshop.
Hammer and all the tools are included with the game, so you can make maps, mods, etc. for it.

- [Katamari Damacy](https://store.steampowered.com/app/848350/Katamari_Damacy_REROLL/)

> I played the PS2 version for the most part - It's good, and the soundtrack is... good but very (good) weird.

## Media

### Shows

> [!note]
> It seems Hasbro has started dumping older/discontinued shows onto YouTube for free viewing. I'm not sure if it's region-locked, but it's worth a shot, and I'll be linking to those where possible.
> And it's usually the ENTIRE series, so... have fun with that.

- [One Piece](https://www.crunchyroll.com/series/GRMG8ZQZR/one-piece)

> Oda had better finish the story. I swear to Satan.
> It's a great show... If you have patience. The Netflix adaptation is also pretty good.

- [Dragon Ball Z](https://www.crunchyroll.com/series/G9VHN9PPW/dragon-ball-z)

> Need it any introduction? Watch Kai version if it's too long. Abridged is also an alternative to Kai if you don't mind the story being told more comedically.

- [Dragon Ball Z Abridged](https://www.youtube.com/watch?v=2nYozPLpJRE&list=PL6EC7B047181AD013) (and related "movies" and videos) by TeamFourStar

> It's... Well. It's a great show, covers the story of Dragon Ball Z up to the Cell saga.
Even though the series is more comedy focused, it still manages to tell the story of Dragon Ball Z in an *excellent* way.
The creators are also based.
Not appropriate for children, though.

- [Transformers: Prime](https://www.youtube.com/playlist?list=PL7VEq3tXc6hvcP7u7xHqqavDbSarCInI4)

> Transformers: Prime takes place in the Aligned continuity, and was my first exposure to the franchise.
Despite mainly being for kids, it's surprisingly dark and mature. It aged pretty well, too.
Like... In the first episode, a character gets brutally and personally killed on screen by Starscream permanently. And it's not a one-off thing. It's recurring in terms of impact on the characters.
...A kids show, folks.
I mean, I'm sure a part of it was to afford... Dwayne Johnson as Cliffjumper, but still.
It also realistically portrays war, its consequences and compromises, and character struggles.

- [My Little Pony: Friendship is Magic](https://www.youtube.com/@FriendshipIsMagicOfficial)

> Despite appearing to be a little kids show, it's actually quite appealing to adults as well. It's compelling, USUALLY well written (though the later seasons feel rushed at times... Which, I hear they were.), and so on.
It ended a while ago and I think the community has taken a turn for the worse since then, but the show itself is still good.

### Music

- [Man on the Internet](https://www.youtube.com/@ManontheInternet)

- [GaMetal](https://www.youtube.com/@JonnyAtma)

- [FamilyJules](https://www.youtube.com/@FamilyJules)
  
- [Toby Fox](https://tobyfox.bandcamp.com/)

- [Crush 40](https://www.youtube.com/@Crush40)

> Famous for their work on the Sonic the Hedgehog series, particularly Sonic Adventure 2.

- [The Living Tombstone](https://www.youtube.com/@TheLivingTombstone)

- [Lena Raine](https://www.youtube.com/@kuraine)


> Also responsible for the Celeste soundtrack. Replaced C418 as the composer for Minecraft.

- [The Stupendium](https://www.youtube.com/@TheStupendium) (they/them)

> <iframe width="320" height="180" src="https://www.youtube.com/embed/sr3W3XVXVB0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
> 
### Content Creators

- [The Yogscast](https://www.youtube.com/@Yogscast)

> A group of British YouTubers who make gaming content. They're the ones who got Minecraft popular, and they're still going strong today. They usually are more active on side-channels or Twitch though.
> <iframe width="320" height="180" src="https://www.youtube.com/embed/ytWz0qVvBZ0" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- [The Golden Bolt](https://www.youtube.com/@TheGoldenBolt)

> A Ratchet and Clank fan who makes retrospective and review content, as well as other gaming content. Pretty in-depth, long form stuff.
> <iframe width="320" height="180" src="https://www.youtube.com/embed/GbzyTqLjrso" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- [VSauce](https://www.youtube.com/@Vsauce)
<!-- Hey, Vsauce! Michael here. -->
<!-- ... -->
<!-- Do chairs exist? -->

> A channel that makes educational content. They cover a wide range of topics, from science to philosophy to history. They're iconic.
> <iframe width="320" height="180" src="https://www.youtube.com/embed/SrU9YDoXE88" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- [OverSimplified](https://www.youtube.com/@OverSimplified)

> A channel that makes animated history videos. They typically incorporate humor, and are quite to-the-point.

- [Technology Connections](https://www.youtube.com/@TechnologyConnections)

> A channel that makes videos about technology. They cover a wide range of topics, from the history of technology to how technology works. Often niche topics, but interesting.
> <iframe width="320" height="180" src="https://www.youtube.com/embed/6h9JhW-m35o" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- [Chipflake](https://www.youtube.com/@Chipflake)

> A German animator who makes story-time animations, and streams art on YouTube.

- [styropyro](https://www.youtube.com/@styropyro)

> Do you like... Wayyyy overkill lasers?
I'm sure the feds have an eye on him with what he casually builds.

- [Not Just Bikes](https://www.youtube.com/@NotJustBikes)

> A channel that makes videos about urban planning and transportation, and critiques of the way cities are designed.

- [Tasting History with Max Miller](https://www.youtube.com/@TastingHistory)

> A channel that makes videos about the history of food. They usually make recipes from history and talk about the history surrounding them - Why they were made, the context they were made in, etc.
> <iframe width="320" height="180" src="https://www.youtube.com/embed/MrKafmzGNJc" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- [The Onion](https://www.youtube.com/@TheOnion)

> A satirical news organization. They make videos that parody news shows. Here's one.
> <iframe width="320" height="180" src="https://www.youtube.com/embed/j5S9ZH2Kavw" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- [Natural Habitat Shorts](https://www.youtube.com/@NaturalHabitatShorts)

> A channel that makes videos about facts of the natural world, told via animation and exaggerated humor.

### Political Content

> [!warning]
> If you're not into politics, [you might want to skip this section.](#artists)
> Also, if you start getting *angry at* this section, you might want to take a step back and think about why you're getting angry.
> Unfold the Details to see the content.

<details>

> [!note]
> I'm strongly left-leaning, so most of these are going to be left-leaning.
> Trumpism is Nazism in denial. Compare their ideologies, behaviors, rhetoric, and actions.

- [Countdown with Keith Olbermann](https://www.youtube.com/@KeithOlbermann)
<!-- ...Is a production by iHeartRadio. -->
> Keith Olbermann is a political commentator who has been in the business for a long time. He's a great commentary for information on current events, and he's not afraid to call out people who are doing wrong.
He was inactive for a long time, starting again with the resurgence of Nazi activity in the US.
Past political content, he also has sub-series within his show, such as "Every Dog Has Its Day", or "Worst Person in the World".
He does not stand for this Nazism here in the US, ***and neither should you.***

- [Innuendo Studios](https://www.youtube.com/@InnuendoStudios)

> Innuendo Studios illustrates the tactics and strategies of the far-right, and how to counter them. They also cover other topics, such as the history of the internet, and the history of the far-right.

</details>

### Artists

### Other

## Hardware

### Computers

### Computer-Aided Manufacturing

- [Bambu Lab P1 series](https://bambulab.com/en/p1)
- [Prusa Research](https://www.prusa3d.com/)