---
title: LGBTQ+ Resources
description: A list of resources for LGBTQ+ individuals
date: 2025-01-02
tags: ['lgbtq', 'resources']
---

# LGBTQ+ Resources 

<style>
.md-contents ul + blockquote:not(.md-override), .md-contents ol + blockquote:not(.md-override) {
    margin-left: 1rem;
}
</style>

::alert{type="note"}
I will try not to provide medical advice, for I am not a doctor. Please consult a medical professional for any medical advice.
::

If you find that this list is lacking or inaccurate, please open a GitHub issue or pull request.

## Table of Contents

- [LGBTQ+ Resources](#lgbtq-resources)
  - [Table of Contents](#table-of-contents)
  - [Some FAQs](#some-faqs)
    - [Do I have to medically transition to be trans?](#do-i-have-to-medically-transition-to-be-trans)
    - [Can I change course if I realize I'm something else? Like if I'm non-binary and realize I'm something else for instance?](#can-i-change-course-if-i-realize-im-something-else-like-if-im-non-binary-and-realize-im-something-else-for-instance)
    - [What is plural?](#what-is-plural)
    - [What is a therian?](#what-is-a-therian)
  - [LGBTQ+ Knowledge bases](#lgbtq-knowledge-bases)
  - [LGBTQ+ Flashcards](#lgbtq-flashcards)
  - [LGBTQ+ Content Creators and Artists](#lgbtq-content-creators-and-artists)
  - [LGBTQ+ Communities](#lgbtq-communities)
  - [LGBTQ+ Stories](#lgbtq-stories)
    - [Directly LGBTQ+ Stories](#directly-lgbtq-stories)
    - [Indirectly LGBTQ+ Stories/Resonant](#indirectly-lgbtq-storiesresonant)
  - [Experiences of coming out and realization](#experiences-of-coming-out-and-realization)
  - [Voice Training](#voice-training)
  - [HRT Access](#hrt-access)

## Some FAQs

### Do I have to medically transition to be trans?

No. You do not have to medically transition - The belief that you must transition is actually known as "gatekeeping" and is harmful - This specific gatekeeping is known as transmedicalism.

### Can I change course if I realize I'm something else? Like if I'm non-binary and realize I'm something else for instance?

Yes. You can change course if you realize you're something else. It's okay to change your mind.

### What is plural?

Plural is a term used to describe systems of multiple people in one body.
While they *might* not be LGBTQ+ by default, they are often included in LGBTQ+ spaces due to the discrimination they face. It is important to respect their identities and pronouns.
I also include information on plurality in this list because it is important to understand and respect plural systems.

If you've watched Yu Yu Hakusho, think of Sensui and his multiple personalities.

### What is a therian?

A therian is someone who identifies as a non-human animal on a spiritual or psychological level. They are not LGBTQ+ by default, but they are often included in LGBTQ+ spaces due to the discrimination they face. It's important to respect them as well.

I think I'll need to research more on this topic before I can provide that much more info.

## LGBTQ+ Knowledge bases

- [LGBTQ+ Wiki](https://lgbt.wikia.org/)
- [Pluralpedia](https://pluralpedia.org/)
- [The Gender Dysphoria Bible](https://genderdysphoria.fyi/) (aka That's Gender Dysphoria, FYI)

## LGBTQ+ Flashcards

By flashcards, I mean something short that can be rapidly shared to provide information.

- [MoreThanOne.info](https://morethanone.info/)

> A site that provides information on plurality, myths, etiquette, terms, and more.

## LGBTQ+ Content Creators and Artists

- [Chipflake](https://www.youtube.com/@chipflake)

> A YouTuber who creates story-time animations, general animations, and records himself drawing.
> Chipflake came out as transmasculine and bisexual, uses he/him pronouns, and is a furry.

- [YukkoEX](https://www.youtube.com/@YukkoEX)

> A YouTuber who creates skits, animations, and other content.
> YukkoEX is a trans woman and uses she/her pronouns.

- [AvaThroughFire](https://www.youtube.com/@AvaThroughFire)

> A YouTuber who creates meme collections, streams games, and collaborates with other trans creators.
> AvaThroughFire is a trans woman and uses she/her pronouns.

- [Brooke Valley](https://www.reddit.com/user/Brooke-Valley)
  
> A Reddit user who creates trans memes and other content.
> Brooke is a trans woman and uses she/her pronouns.
> <img src="https://preview.redd.it/dont-wear-it-out-or-do-lol-v0-f5tmtdnzht5b1.png?width=1080&crop=smart&auto=webp&s=523de1592bfa419890ac9e4d6f6b56b39f3fb369" width="300" height="200" alt="Brooke is her name!"></img>

## LGBTQ+ Communities

- [r/traaaaaaannnnnnnnnns2](https://www.reddit.com/r/traaaaaaannnnnnnnnns2/)

> The original subreddit shut down during the protests.
> This subreddit is a continuation of the original, and is a place for trans memes.

- [The Orchard Discord Server](https://discord.gg/theorchard)

> A Discord server for LGBTQ+, plural, therian, and so on individuals.
> It tries to be a safe space for all, and has a variety of channels for different topics. Note though that the rules are strict.

## LGBTQ+ Stories

### Directly LGBTQ+ Stories

- [I want to be a cute anime girl](https://www.webtoons.com/en/canvas/i-want-to-be-a-cute-anime-girl/list?title_no=349416&page=1) by Azul Crescent

> Charon's sister dressed him up as a girl, and he liked it. This is her story, learning about who she is, and slowly realizing and becoming her true self, along with her friends and family. Updates on Mondays, Wednesdays and Fridays.... most of the time.

- [Guilty Gear Strive](https://www.guiltygear.com/ggst/en/) (Bridget's story)

> Bridget is a character in the Guilty Gear series. Though born male, because of a myth in her hometown, she was raised female, and wanted to disprove the myth and prove herself as a man at the time. After successfully doing so, she realized she was more comfortable a woman after all.
You may have heard some bigots claiming that it was mistranslation - No, it was fully intended by the devs, and the japanese version clearly states that she's a girl.

### Indirectly LGBTQ+ Stories/Resonant

- [Celeste](https://www.celestegame.com/)

> Help Madeline survive her inner demons on her journey to the top of Celeste Mountain, in this super-tight platformer from the creators of TowerFall. Brave hundreds of hand-crafted challenges, uncover devious secrets, and piece together the mystery of the mountain.
> Though not directly LGBTQ+, the game resonates heavily with many LGBTQ+ individuals due to its themes. The game's protagonist, though not overtly such in game, has been confirmed to be a transgender woman.
> The game's lead developer also realized she was trans whilst working on the final chapter of the game, she now goes by Maddy (full name Madeline Stephanie Thorson), she/her.

## Experiences of coming out and realization

- Chipflake coming out as transmasculine and bisexual and describing his experience

> <iframe width="300" height="200" src="https://www.youtube.com/embed/zB57tJNOiGo" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- Jaiden Animations coming out as aromantic asexual (aroace) and describing her experience

> <iframe width="300" height="200" src="https://www.youtube.com/embed/qF1DTK4U1AM" title="YouTube video player" frameborder="0" allow="accelometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## Voice Training

- [FairyPrincessLucy](https://www.youtube.com/@fairyprincesslucy)

> A YouTuber who provides voice training tutorials, among other trans content.
> <iframe width="300" height="200" src="https://www.youtube.com/embed/?listType=playlist&list=PLkZ-3sMGEmDwlD5zNgEtWJwz8WDt6H8OZ" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

- YukkoEX's voice training tutorials
> <iframe width="300" height="200" src="https://www.youtube.com/embed/610XcjG2jms" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
> <iframe width="300" height="200" src="https://www.youtube.com/embed/Utl1Fn9gsU0" title="YouTube video player" frameborder="0" allow="accelometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

## HRT Access

- [Erin's Informed Consent HRT Map](https://www.erininthemorning.com/p/erins-informed-consent-hrt-map-how) by Erin In The Morning

> A Google Maps map that shows informed consent HRT clinics in the US.
> <iframe src="https://www.google.com/maps/d/embed?mid=1DxyOTw8dI8n96BHFF2JVUMK7bXsRKtzA&hl=en_US&ehbc=2E312F" width="400" height="350"></iframe>